Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83926 - traceback when removing packages
Summary: traceback when removing packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 05:17 UTC by Tammy Fox
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version: 1.1.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-22 04:23:11 UTC


Attachments (Terms of Use)

Description Tammy Fox 2003-02-10 05:17:10 UTC
With version 1.1.5-1, I performed the following steps without exiting the program:

1) Selected to remove gqview -- it uninstalled successfully
2) Selected to installe gqview -- it installed successfully
3) Selected to uninstall the Engineering and Scientific package group --
it stopped at the Preparing system update dialog with the Continue button
still grayed out and gave me:

* Core references package efibootmgr which doesn't exist
* Core references package elilo which doesn't exist
* depcheck: package pvm-gui needs pvm (not provided)
* depcheck: package amanda-server needs gnuplot (not provided)
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 63, in response_cb
    self.im.setupTransaction(comps, progress_dialog)
  File "/usr/share/redhat-config-packages/method.py", line 181, in setupTransaction
    raise UnresolvableDependencies (unresolvable_dependencies)
  File "/usr/share/redhat-config-packages/method.py", line 55, in __init__
    exceptions.Exception.__init__()
TypeError: unbound method __init__() must be called with Exception instance as
first argument (got nothing instead)

Comment 1 Jeremy Katz 2003-02-10 06:53:21 UTC
Hit this when fixing some other things tonight -- fixed in 1.1.6

Comment 2 John Thacker 2006-04-22 04:23:11 UTC
Long fixed, RH 9 not supported except by Fedora Legacy, and s-c-p isn't shipped
anymore.  (Pirut replaced s-c-p.)  Closing.


Note You need to log in before you can comment on or make changes to this bug.